package be.iminds.ilabt.jfed.util;

import org.testng.annotations.Test;

import static org.testng.Assert.*;

import static org.hamcrest.MatcherAssert.assertThat;
import static org.hamcrest.Matchers.*;

import static org.mockito.Mockito.mock;

public class IOUtilsTest {
    @Test
    public void testCurrentStackToStacktraceString() throws Exception {
        String curStackTrace = IOUtils.currentStackToStacktraceString();
        System.out.println("curStackTrace=\""+curStackTrace+"\"");
        assertThat(curStackTrace, is(notNullValue()));
        assertThat(curStackTrace, containsString("IOUtilsTest"));
        assertThat(curStackTrace, containsString("testCurrentStackToStacktraceString"));
    }

    @Test
    public void testExceptionToShortDescription() throws Exception {
        Throwable e;
        try {
            throw new RuntimeException();
        } catch (RuntimeException ex) {
            e = ex;
        }

        String shortDescription = IOUtils.exceptionToShortDescription(e);
        System.out.println("shortDescription=\""+shortDescription+"\"");
        assertThat(shortDescription, is(notNullValue()));
        assertThat(shortDescription, containsString("RuntimeException"));
        assertThat(shortDescription, containsString("in IOUtilsTest"));
        assertThat(shortDescription, containsString(".testExceptionToShortDescription("));
        assertThat(shortDescription, containsString(" @ line 26"));
    }

}